Subject: Re: [Int-area] Continuing the addressing discussion: what is an address anyway? Re: 2201291533.AYC

From: "Abraham Y. Chen" <[email-masked]>
Date: Sat, 29 Jan 2022 16:05:33 -0500

Hi, Alex:

1)    Thanks for bringing up many aspects related to the IP address 
subject. Rather than dealing with them individually within the confine 
of the current Internet environment that each will lead to many other 
involved discussions, I would suggest you to look at this subject from 
an "outside the box" perspective. That is, is there an addressing / 
identification scheme that may lead to a different set of conditions 
which could perhaps be less problematic?

2)    Please review a short whitepaper below. Its Reference IV is an 
IETF Draft that provides the technical background for the proposal.

https://www.avinta.com/phoenix-1/home/RevampTheInternet.pdf

I look forward to your thoughts.

Regards,

Abe (2022-01-29 16:05 EST)

> Message: 4
> Date: Fri, 28 Jan 2022 12:48:59 +0100
> From: Alexandre Petrescu<[email-masked]>
> To:[email-masked]
> Subject: Re: [Int-area] Continuing the addressing discussion: what is
> 	an address anyway?
> Message-ID:<[email-masked]>
> Content-Type: text/plain; charset=UTF-8; format=flowed
>
> Sorry, I  take advantage of this valuable public conversation between
> you to mention a point that might be related.
>
> Le 25/01/2022 ? 20:30, Geoff Huston a ?crit :
>> [...] various judgemental observations (Like "NAT is evil?, ?NBATs
>> break stuff?, etc,) feel free, but they are your constructions, not
>> mine. The issue for me is not judgments of ?good? or ?bad?, but
>> simply to explore, without overtones of judgement, exactly what an IP
>> address represents in today?s Internet. [...]
> Without jugding, and without thinking others might judge, i.e. to
> qualify as 'good' or 'bad'.
>
> I do think there might be value in questioning whether there might be
> something inherent in the IP addressing system which might lead to less
> positive consequences.  It is a question on the cause-to-effect dynamics.
>
> What in the IP addressing system makes it possible that NAT has been
> designed and used largely?  Lack of space in v4 - ok - but is there
> anything more to that problem, now that IPv6 solves the space size
> problem?  Is the fact that NAT kind of probably protection is helping?
>
> For example, if the IP addressing system had variable length addresses
> (instead of fixed length) - would that make the translation process of
> NAT be unacceptably long, and hence no NAT would be feasible?
>
> Other than that, what other characteristic of the IP addressing system
> might have an impact on the existence of NATs?
>
> What other characteristic of the IP addressing system has no impact at
> all on the existence of NATs?  I.e. one could change that characteristic
> but NATs would still be designed.
>
> Other than NAT and IP addresses, there are other aspects of the current
> Internet addressing that are less desirable.
>
> For example: the open Internet and its open addressing system leads to a
> need of privacy respecting for the individual; which is good.  At the
> same time, the new privacy rules are not making everyone happy.  Some
> times it goes to large extents.  For example, some addresses of web
> sites are not visible to others _because_ of that privacy ruling.  Not
> all websites in all countries accept to abide to the privacy rules of
> other countries.  Such websites refuse to abide and block access altogether.
>
> That situation is clearly against the openness of access in the Internet.
>
> It is not a matter of paying money or not to access data.  Even if one
> pays one is still not given access because one is situated in a country
> of a particular privacy ruling.
>
> It is a strange situation in which the ruling of privacy is not
> accepted.  Those sites who do not accept to deliver data according to
> the privacy rules do so not because they dont agree with a general
> principle of privacy, but because they dont agree with that particular
> ruling (GDPR in this case) of privacy.
>
> What is at fault for that situation?
>
> Is there something in the Internet addressing system at higher layer
> (above IP) that might be qualified as being a little bit in error for
> that lack of access?
>
> For example, if the 'cookies' used by HTTP involved host names (host
> names are also a sort of addresses) whose structure was agreed locally,
> then there would be more positive view of the generally negative view of
> 'tracking'.  For example, a locally agreed way to identify people is
> generally accepted (license plates, faces, more) but a universal way of
> identification (hostname containing 'Windows' characteristics) might be
> less accepted.
>
> Alex
>
>
>
> ------------------------------
>
> Subject: Digest Footer
>
> _______________________________________________
> Int-area mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/int-area
>
>
> ------------------------------
>
> End of Int-area Digest, Vol 197, Issue 25
> *****************************************

-- 
This email has been checked for viruses by Avast antivirus software.
https://www.avast.com/antivirus